pandoc-lua-marshal-0.3.0: Use pandoc types in Lua

Copyright | © 2021-2024 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+pandoc@moltkeplatz.de>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.MetaValue

Description

Marshaling/unmarshaling functions of `MetaValue` elements.

Synopsis

- peekMetaValue :: LuaError e => Peeker e MetaValue
- pushMetaValue :: LuaError e => Pusher e MetaValue
- metaValueConstructors :: LuaError e => [DocumentedFunction e]

# Documentation

peekMetaValue :: LuaError e => Peeker e MetaValue #

Retrieves the value at the given stack index as `MetaValue`.

pushMetaValue :: LuaError e => Pusher e MetaValue #

Push a `MetaValue` element to the top of the Lua stack.

metaValueConstructors :: LuaError e => [DocumentedFunction e] #

Constructor functions for `MetaValue` elements.